<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" encoding="Windows-1250"/>

<xsl:template match="/">
		<html>
			<head>
				<title><xsl:value-of select="/data/@title"/></title>
			</head>
			<body>
					<xsl:call-template name="index"/>
					
					<xsl:apply-templates select="/data/chapter"/>
			</body>
		</html>
</xsl:template>

<xsl:template match="chapter">
		<a name="{@title}"></a>
		<hr size="1" width="50%" align="center" />
		<h2><xsl:value-of select="@title"/></h2>
		<table border="0">
			<tr><td><xsl:apply-templates/></td></tr>
			<xsl:call-template name="footer"/>
		</table>
</xsl:template>

<xsl:template match="section">
		<h3><xsl:value-of select="@headline"/></h3>
		<xsl:apply-templates/>
</xsl:template>

<xsl:template match="paragraph">
		<p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="link">
		<a href="{@href}">
			<xsl:choose>
				<xsl:when test="string-length(.) > 0">
					<xsl:value-of select="."/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@href"/>
				</xsl:otherwise>
			</xsl:choose>
		</a>
</xsl:template>

<xsl:template name="footer">
		<tr>
			<td align="left">
				<A HREF="#">^top.</A>
			</td>
		</tr>
</xsl:template>
	
<xsl:template name="index">
		<h2>Index</h2>
		<table border="0">
			<tr><td>
			<UL>
			<xsl:apply-templates select="/data/chapter" mode="link"/>
			</UL>
			</td></tr>
		</table>
</xsl:template>

<xsl:template match="chapter" mode="link">
	<LI><a href="#{@title}"><xsl:value-of select="@title"/></a></LI>
</xsl:template>

</xsl:stylesheet>
